#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "CrossPromoPlatformSpecificContentRuntimeData.h"
#include "CrossPromoSingleCampaignRuntimeData.generated.h"

USTRUCT(BlueprintType)
struct FCrossPromoSingleCampaignRuntimeData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, Transient)
	FDateTime ActiveFromDate;

	UPROPERTY(EditInstanceOnly, Transient)
	FDateTime ActiveToDate;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TMap<FString, FString> TitleTranslations;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TMap<FString, FString> MessageTranslations;

	UPROPERTY(EditInstanceOnly, Transient)
	uint32 MaxViews;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	float DaysBetweenViews;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FString> SegmentationTags;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TMap<FString, FCrossPromoPlatformSpecificContentRuntimeData> PlatformSpecificContent;

public:
	DEADBYDAYLIGHT_API FCrossPromoSingleCampaignRuntimeData();
};

FORCEINLINE uint32 GetTypeHash(const FCrossPromoSingleCampaignRuntimeData) { return 0; }
